//=========================================================
//  MusE
//  Linux Music Editor
//    $Id: audioconf.h,v 1.1.1.1 2003/10/29 10:06:31 wschweer Exp $
//  (C) Copyright 2001 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __AUDIOCONF_H__
#define __AUDIOCONF_H__

#include "audioconfbase.h"

//---------------------------------------------------------
//   AudioConf
//---------------------------------------------------------

class AudioConf : public AudioConfBase {
      Q_OBJECT

      void updateValues();

   protected slots:
      void accept();
      void apply();
      void frameSizeChanged(int);
      void delayChanged(int);
      void sampleRateChanged(int);
      void useAlsaButtonToggled(bool val);

   public:
      AudioConf(QWidget* parent, const char* name = 0);
      };

#endif


